Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I wrote sudo apt-get install v4l2loopback-dkms and the console returned me:

...
Loading new v4l2loopback-0.6.1 DKMS files...
First Installation: checking all kernels...
Building only for 3.8.0-27-generic
Building initial module for 3.8.0-27-generic
Error! Bad return status for module build on kernel: 3.8.0-27-generic (i686)
Consult /var/lib/dkms/v4l2loopback/0.6.1/build/make.log for more information.

make.log says:

DKMS make.log for v4l2loopback-0.6.1 for kernel 3.8.0-27-generic (i686)
Thu Aug  8 19:25:32 CLT 2013
make: Entering directory `/usr/src/linux-headers-3.8.0-27-generic'
  LD      /var/lib/dkms/v4l2loopback/0.6.1/build/built-in.o
  CC [M]  /var/lib/dkms/v4l2loopback/0.6.1/build/v4l2loopback.o
/var/lib/dkms/v4l2loopback/0.6.1/build/v4l2loopback.c: In function ‘init_buffers’:
/var/lib/dkms/v4l2loopback/0.6.1/build/v4l2loopback.c:2027:6: error: ‘struct  v4l2_buffer’ has no member named ‘input’
/var/lib/dkms/v4l2loopback/0.6.1/build/v4l2loopback.c: At top level:
/var/lib/dkms/v4l2loopback/0.6.1/build/v4l2loopback.c:2250:3: warning: initialization from incompatible pointer type [enabled by default]
/var/lib/dkms/v4l2loopback/0.6.1/build/v4l2loopback.c:2250:3: warning: (near initialization for ‘v4l2_loopback_ioctl_ops.vidioc_s_audio’) [enabled by default]
/var/lib/dkms/v4l2loopback/0.6.1/build/v4l2loopback.c:2252:3: warning: initialization from incompatible pointer type [enabled by default]
/var/lib/dkms/v4l2loopback/0.6.1/build/v4l2loopback.c:2252:3: warning: (near initialization for ‘v4l2_loopback_ioctl_ops.vidioc_s_audout’) [enabled by default]
make[1]: *** [/var/lib/dkms/v4l2loopback/0.6.1/build/v4l2loopback.o] Error 1
make: *** [_module_/var/lib/dkms/v4l2loopback/0.6.1/build] Error 2
make: Leaving directory `/usr/src/linux-headers-3.8.0-27-generic'

So, I googled and found that there is a bug where someone said "This bug seems to be fixed in the SCM", then I downloaded the latest version 0.7.0 from here but when I'm trying to install it:

$ make && sudo make install
Building v4l2-loopback driver...
make -C /lib/modules/`uname -r`/build M=/home/david/Downloads/v4l2loopback-0.7.0  modules
make[1]: Entering directory `/usr/src/linux-headers-3.8.0-27-generic'
  Building modules, stage 2.
  MODPOST 1 modules
make[1]: Leaving directory `/usr/src/linux-headers-3.8.0-27-generic'
[sudo] password for david: 
make -C /lib/modules/`uname -r`/build M=/home/david/Downloads/v4l2loopback-0.7.0  modules_install
make[1]: Entering directory `/usr/src/linux-headers-3.8.0-27-generic'
  INSTALL /home/david/Downloads/v4l2loopback-0.7.0/v4l2loopback.ko
Can't read private key
  DEPMOD  3.8.0-27-generic
make[1]: Leaving directory `/usr/src/linux-headers-3.8.0-27-generic'
depmod -ae
WARNING: -e needs -E or -F

... (with usb video capture drivers installed, maybe it is the cause)

Now i tried with ubuntu 12.04

and it works, BUT when i install usb video capture drivers(from here) v4l2loopback stops working.

I don't know what do next, some help?

share|improve this question
    
You appear to have two accounts - please click the contact us link at the bottom of this page and request that your two accounts are merged. Thanks. –  fossfreedom Aug 17 '13 at 22:14
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.